%define po_package gnome-session-2.0

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	GNOME session manager.
Name:		gnome-session
Version:	2.28.0
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

Source200:	gnome.desktop
Source201:	ccux-start-gnome

# required to get gconf-sanity-check-2 in the right place
Requires: 	GConf dbus-x11
# Needed for gnome-settings-daemon
Requires: 	control-center
#Requires:	gdm
# we need an authentication agent in the session
Requires: 	polkit-gnome
# and we want good defaults
Requires: 	polkit-desktop-policy
BuildRequires: 	glib-devel
BuildRequires: 	pango-devel
BuildRequires: 	gtk2+-devel
BuildRequires: 	libgnome-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	gnome-vfs-devel
BuildRequires: 	gnome-desktop-devel
BuildRequires: 	dbus-devel
BuildRequires: 	dbus-glib-devel
BuildRequires: 	libnotify-devel
BuildRequires: 	control-center-devel
BuildRequires: 	desktop-file-utils
# this is so the configure checks find /usr/bin/halt etc.
BuildRequires: 	usermode
BuildRequires: 	intltool, autoconf, automake
BuildRequires: 	libtool polkit-devel polkit-gnome-devel
BuildRequires: 	gettext gnome-doc-utils eggdbus-devel libusb-devel
BuildRequires: 	libX11-devel libXt-devel DeviceKit-power-devel
BuildRequires: 	libXrandr-devel xmlto desktop-file-utils

Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf

%description
gnome-session manages a GNOME desktop session. It starts up the other core 
GNOME components and handles logout and saving the session.

%prep
%setup -q

%build
%configure \
--disable-docbook-docs
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			        \
  --add-only-show-in GNOME                                              \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

./mkinstalldirs ${RPM_BUILD_ROOT}%{_datadir}/xsessions/
install -m 644 %{SOURCE200} ${RPM_BUILD_ROOT}%{_datadir}/xsessions/

/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/gnome-login-sound.desktop
/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/shutdown/gnome-logout-sound.sh
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-session/helpers/gnome-login-sound

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

cp AUTHORS COPYING NEWS README $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-session.schemas >& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-session.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-session.schemas >& /dev/null || :
fi

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/README
#%doc %dir %{_datadir}/doc/%{name}-%{version}/dbus
#%doc %{_datadir}/doc/%{name}-%{version}/dbus/*
%doc %{_mandir}/man*/*
%{_datadir}/applications/gnome-session-properties.desktop
%dir %{_datadir}/gnome-session
%{_datadir}/gnome/autostart
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/gnome-session/gsm-inhibit-dialog.ui
%{_datadir}/gnome-session/session-properties.ui
%{_datadir}/icons/hicolor/*/apps/session-properties.png
%{_datadir}/icons/hicolor/scalable/apps/session-properties.svg
%dir %{_libdir}/gnome-session
%dir %{_libdir}/gnome-session/helpers
%{_libdir}/gnome-session/helpers/*
%{_sysconfdir}/xdg/autostart/gnome-settings-daemon-helper.desktop
%{_datadir}/xsessions/*

%changelog
* Wed Nov 25 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Tue Apr 14 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Mar 04 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.3-2
- ccux-start-gnome doesn t need dbus-launch anymore
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.3-1
- Version update
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Dec 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Version update
* Wed Nov 15 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-8
- gdm integration
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-7
- fixed desktop file, added dependency for dbus-x11
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-6
- readded splash patches and kdm integration
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-5
- readded gnome-volume-manager dependency
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-4
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- rebuild, moved libexec and some patch removements
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix, temp disabled kdm integration
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.91-1
- Initial Release